package com.tzld.piaoquan.ad.engine.commons.config;

import org.apache.spark.SparkConf;
import org.apache.spark.api.java.JavaSparkContext;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.Properties;

@Component("sparkConfig")
public class SparkConfig {

    @PostConstruct
    public void init() {
        SparkConf sparkConf = new SparkConf()
                .setMaster("local")
                .setAppName("XGBoostPredict");
        JavaSparkContext jsc = new JavaSparkContext(sparkConf);
    }

}
